Bug 2418 - /sbin/initlog doesn\'\'t honour /etc/initlog.conf
: /sbin/initlog doesn\'\'t honour /etc/initlog.conf
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/service)
: unstable
: all Linux
: P5 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-03-24 15:18 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-03-24 15:18:34
The `facility\' setting in /etc/initlog.conf makes no difference in initlog\'s
behaviour. The corresponding argument in commnad line makes difference.
---
In this example, both messages should be written to the same file.

% fgrep facility /etc/initlog.conf
# This sets the default logging facility. (can override with command line
arguments)
facility local7
% initlog -n D -e 1
% initlog -f local7 -n E -e 1
% find /var/log -type f | xargs grep \'\\(D\\|E\\) succeed\'
/var/log/user/info:Mar 24 15:13:16 arrakis D: D succeeded
/var/log/syslog/boot:Mar 24 15:13:19 arrakis E: E succeeded
/var/log/syslog/messages:Mar 24 15:13:16 arrakis D: D succeeded
/var/log/syslog/messages:Mar 24 15:13:19 arrakis E: E succeeded
---
initscripts-5.49-ipl53mdk
------- Comment #1 From 2003-05-22 19:26:41 -------
Fixed in 0.3-alt1
------- Comment #2 From 2003-05-22 19:26:41 -------
Fixed in 0.3-alt1